Contao Konferenz & College 2019 in Duisburg - JETZT TICKET SICHERN!
Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 40 von 47

Thema: Ersatz für Downloadarchiv in Contao 4.4.8

  1. #1
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard Ersatz für Downloadarchiv in Contao 4.4.8

    Beim updaten einer Page aus Contao 2.10.4 auf 4.4.8 suche ich nach einem Ersatz für die Erweiterung Downloadarchiv. Weiss jemand was?

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.740
    User beschenken
    Wunschliste

    Standard

    Was genau macht diese Erweiterung?

  3. #3
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Downloadarchiv ist eine Erweiterung um mehrer Dateien zum Download anzubieten

    Ein Downloadarchiv erfasst Dateien aus unterschiedlichen Ordnern und gibt diese im Frontend entweder in einem Modul oder in einem Inhaltselement aus. Die Dateien können mit Titel, Beschreibung und Beispielbild angezeigt werden. Dabei kann unter anderem gewählt werden, ob ein Klick auf das Bild eine Großansicht des Bildes anzeigt oder den Download startet. Zusätzlich kann für jede Datei die Sichtbarkeit bestimmt werden. Entweder allgemein, nur für Gäste oder für bestimmte Mitgliedergruppen. Ein Archiv kann sowohl als Modul als auch als Inhaltselement in die Seite integriert werden. Dabei können jetzt in beiden Fällen mehrere Archive verwendet werden. Außerdem kann man nun die Anzeige von Datum und Dateigröße im Modul bzw. Inhaltselement aktivieren. Damit ist das ganze noch etwas freier. Über eine CSS-Klasse, die einem Archiv zugewiesen werden kann ist es außerdem möglich mehrere Archive farblich unterschiedlich anzeigen zu lassen. Durch die massiven Anpassungen empfehle ich ein Update über eine ältere Version der Erweiterung nur, wenn man sich bewußt ist, dass man viele Anpassungen für die neue Version vornehmen muss.

  4. #4
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.740
    User beschenken
    Wunschliste

    Standard

    Reicht dir das Downloads Inhaltselement dafür nicht?

  5. #5
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Das Download-Inhaltselement kannte ich noch nicht, von contao 2.10 kommend. Werde mir das gerne genauer anschauen. Vielen Dank für den Tipp.

  6. #6
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Ich sehe gerade: Leider gibt es keine Möglichkeit eines Vorschaubildes beim Download Inhaltselement. So kann das beim Downloadarchiv aussehen:
    http://tibetanwarrior.com/index.php/...downloads.html

  7. #7
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    Spontaner Gedanke [rocksolid_custom_elements].
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  8. #8
    Contao-Urgestein Avatar von cliffparnitzky
    Registriert seit
    08.10.2010.
    Ort
    Lüneburg
    Beiträge
    1.858
    User beschenken
    Wunschliste

    Standard

    Imho wäre die beste Idee den Felix Pfeiffer direkt oder einen Entwickler zu beauftragen, die Erweiterung für Contao 4 kompatibel zu machen (was u.U. nur eine Anpassung der composer.json beinhalten könnte).

    Ich weiß, das kostet ggf. Geld .
    Extensions :: Github :: Kein Support per PM.
    Bedenke stets: die Behebung eines Fehlers beginnt bei der Erklärung des Problems !!!
    Wenn ich dir helfen konnte freue ich mich immer über ein Dankeschön von meiner Amazon Wunschliste .

  9. #9
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Zitat Zitat von mlweb Beitrag anzeigen
    Spontaner Gedanke [rocksolid_custom_elements].
    Gibt leider Fehler in der Installation. Kann diese Erweiterung nicht testen. Schade. Weitere Ideen?

    Ausserdem: Weiss jemand einen Ersatz für ce_slider, mit dem man ganze Artikelelemente sliden kann? Inklusive Headline und Texte? Das geht mit dem Rocksolid Slider leider nicht.

  10. #10
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    Das wundert mich aber ganz arg, weil ich gestern gerade eine Installation mit contao 4.4.8 und dieser Erweiterung gemacht habe.
    Wie hast Du die Erweiterung installiert?
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  11. #11
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    Zitat Zitat von Willi Wild Beitrag anzeigen
    Ausserdem: Weiss jemand einen Ersatz für ce_slider, mit dem man ganze Artikelelemente sliden kann? Inklusive Headline und Texte? Das geht mit dem Rocksolid Slider leider nicht.
    Also Inhaltselemente mit Überschrift, dass sollte eigentlich gehen oder was meinst Du mit Artikelelemente?
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  12. #12
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Zitat Zitat von mlweb Beitrag anzeigen
    Also Inhaltselemente mit Überschrift, dass sollte eigentlich gehen oder was meinst Du mit Artikelelemente?
    Stimmt. Habs soeben auch entdeckt. Ich meinte natürlich Inhaltselemente – wie unter Artikel verfügbar.

  13. #13
    Contao-Fan Avatar von Stefko
    Registriert seit
    25.10.2012.
    Ort
    Karlsruhe
    Beiträge
    574
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Willi Wild Beitrag anzeigen
    Ausserdem: Weiss jemand einen Ersatz für ce_slider, mit dem man ganze Artikelelemente sliden kann? Inklusive Headline und Texte? Das geht mit dem Rocksolid Slider leider nicht.
    Den Content-Slider? Bringt Contao ja schon mit.
    Wenn Du komplette Artikel sliden willst, per Inserttag einbinden.

    Ansonsten wäre evtl. mindbird/contao_dk_caroufredsel noch eine Alternative.
    Grüße, Stefko

  14. #14
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Zitat Zitat von mlweb Beitrag anzeigen
    Das wundert mich aber ganz arg, weil ich gestern gerade eine Installation mit contao 4.4.8 und dieser Erweiterung gemacht habe.
    Wie hast Du die Erweiterung installiert?
    Über den Contao Manager. Die Installation bricht ab, dann heisst es: "Konsolentask beendet! Der Hintergrundprozess wurde abgebrochen oder unerwartet beendet. Bitte prüfen Sie das Konsolenprotokoll."

  15. #15
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Zitat Zitat von Stefko Beitrag anzeigen
    Den Content-Slider? Bringt Contao ja schon mit.
    Wenn Du komplette Artikel sliden willst, per Inserttag einbinden.

    Ansonsten wäre evtl. mindbird/contao_dk_caroufredsel noch eine Alternative.
    Ist ja cool! Mal wieder was gelernt. Vielen Dank für den guten Tipp, Stefko.

  16. #16
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    Zitat Zitat von Willi Wild Beitrag anzeigen
    Über den Contao Manager. Die Installation bricht ab.
    Das ist in aller RegeL kein Problem der Erweiterung, sondern ein Problem des Hostings.
    Hast Du ssh-Zugang?
    Welcher Provider?
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  17. #17
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Zitat Zitat von mlweb Beitrag anzeigen
    Das ist in aller RegeL kein Problem der Erweiterung, sondern ein Problem des Hostings.
    Hast Du ssh-Zugang?
    Welcher Provider?
    Ich hätte theoretisch ssh Zugang, bin aber nicht geübt darin. Hosting ist in der Schweiz bei Hostpoint.ch.

  18. #18
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    Bei Hostpoint funktioniert die heute veröffentlichte Version (beta 11) des Managers nicht.
    https://community.contao.org/de/show...tallationen-ab
    https://community.contao.org/de/show...Server-Hosting

    Im Moment kannst Du also nur über die Konsole arbeiten.
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  19. #19
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Zitat Zitat von mlweb Beitrag anzeigen
    Bei Hostpoint funktioniert die heute veröffentlichte Version (beta 11) des Managers nicht.
    https://community.contao.org/de/show...tallationen-ab
    https://community.contao.org/de/show...Server-Hosting

    Im Moment kannst Du also nur über die Konsole arbeiten.
    Ach krass. Kann ich die b10 installieren? Oder besser abwarten?

  20. #20
    Contao-Fan Avatar von Stefko
    Registriert seit
    25.10.2012.
    Ort
    Karlsruhe
    Beiträge
    574
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Willi Wild Beitrag anzeigen
    Ach krass. Kann ich die b10 installieren? Oder besser abwarten?
    Der Contao-Manager erneuert sich selbstständig. Also selbst wenn Du noch eine Beta10 hast, wird diese sich beim ersten Aufruf nach b11 updaten.
    Grüße, Stefko

  21. #21
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    Zitat Zitat von Willi Wild Beitrag anzeigen
    Oder besser abwarten?
    Verwende solange ssh. Ich kann Dir als Windows-Nutzer - und damit verbunden Konsolenmuffel - sagen. Es übt ungemein, wenn man mal gezwungen wird mit der Konsole zu arbeiten.
    Nach ca. 4 Wochen etwas häufigerer Konsolen-Nutzung muss man schon nicht mehr jeden Befehl abtippen.

    Gerade bei Contao 4 ist es sehr gut, wenn man sich nebenher auch mit der Konsole befasst und zwar nicht erst, wenn es das erste mal richtig dringlich wird.
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  22. #22
    Contao-Fan
    Registriert seit
    05.11.2009.
    Ort
    Liebschützberg (Sachsen)
    Beiträge
    444

    Standard

    Hallo das mit der Konsole kann ich nur bestätigen!
    Das ist sehr gewöhnungsbedürftig aber machbar! Für die gängigen Befehle habe ich mir eine Datei gemacht, zum lunzen!

    Das Downloadarchiv läuft bei mir in einer 3.5.31 LTS Version. Für Contao 4 habe ich es noch nicht getestet.

    Steffen Winde

    PS: Ich bin mir nicht sicher, ob der Felix Pfeiffer die Erweiterung noch weiterentwickelt!
    Geändert von swinde (02.12.2017 um 10:42 Uhr)

  23. #23
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    So die neue Version des Managers (Beta12) ist veröffentlicht.
    Eine Rückmeldung ob jetzt alles klappt wäre nett.
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  24. #24
    Contao-Nutzer
    Registriert seit
    07.07.2016.
    Beiträge
    75

    Standard

    Zitat Zitat von mlweb Beitrag anzeigen
    So die neue Version des Managers (Beta12) ist veröffentlicht.
    Eine Rückmeldung ob jetzt alles klappt wäre nett.
    Auf Beta12 upgedated und Rocksolid Custom Elements installiert. Klappt einwandfrei! Ich bin entzückt von Eurem Service! Jetzt muss ich nur noch Konsole lernen und Custom Elements mastern.

  25. #25
    Contao-Fan Avatar von Sioweb
    Registriert seit
    12.08.2011.
    Ort
    Waldshut
    Beiträge
    388
    User beschenken
    Wunschliste

    Standard

    Ho!

    Ich könnte sonst - wenn nicht eh schon zu spät ;D - noch mein Modul hier empfehlen: https://github.com/Sioweb/contao4_downloadFolder

    Das Zip einen Ordner und bietet den zum Downloaden an. Braucht halt php exec aber das ist oft aktiviert oder lässt sich meist relativ leicht aktivieren.
    Grüße Sascha W. @Sioweb
    Sioweb im Netz: Webseite | Facebook
    +++ Programmierer von Change-Lok erfasst worden +++

  26. #26
    Contao-Fan
    Registriert seit
    05.11.2009.
    Ort
    Liebschützberg (Sachsen)
    Beiträge
    444

    Standard

    Hallo!

    ich möchte das Thema hier noch einmal hochholen! Weis jemand was mit dem Entwickler Felix Pfeiffer los ist? Man findet Ihn zwar als Contao Partner aber auf Pull Requests reagiert er nicht.

    Ich habe die Erweiterung auch mehrfach im Einsatz und würde diese gern auf Github weiterpflegen. Wie ist das aus Lizenssicht? Ich bin mir da nicht sicher!

    Derzeit besteht ein Pull Request im Originalreposity für ein Contao 4 Bundel.

    https://github.com/felixpfeiffer/con...archive/pull/8

  27. #27
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.024
    User beschenken
    Wunschliste

    Standard

    Laut composer.json ist die Lizenz LGPL-3.0+, d.h. du könntest das in GitHub forken und selber weiterentwickeln.
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  28. #28
    Contao-Fan
    Registriert seit
    05.11.2009.
    Ort
    Liebschützberg (Sachsen)
    Beiträge
    444

    Standard

    Hallo Bugbuster,

    einen Fork habe ich ja schon gemacht, die Namen und Namespaces habe ich alle so gelassen.
    Ansonsten nach Deiner Anleitung von Contao 3 auf Contao 4 geändert. Getestet habe ich das ganze auch und dann einen Pullrequest erzeugt.

    Wie stell ich aber jetzt an, dass ich mein geforktes Paket mit Packagist über Composer installierbar wird? Gibts da einen Trick.

    Steffen Winde

    Edit: Oder sollte man das in ein eigenes Paket übertragen mit eigenem Namespaces?
    Geändert von swinde (20.01.2018 um 18:15 Uhr)

  29. #29
    Contao-Fan Avatar von Sahel
    Registriert seit
    20.06.2009.
    Ort
    Cotonou, Benin
    Beiträge
    277

    Standard

    Zitat Zitat von Spooky Beitrag anzeigen
    Was genau macht diese Erweiterung?
    ein Beispiel: http://svh-rdcongo.org/accueil.html siehe "Documents et rapports"


    Downloadarchiv ist sehr praktisch, um viele Downloads mit Beschreibung oder kommentiert zu präsentieren

  30. #30
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.740
    User beschenken
    Wunschliste

    Standard

    Ich denke das könnte man auch mit dem Downloads Inhaltselement + tl_files DCA Erweiterung umsetzen.

  31. #31
    Contao-Fan
    Registriert seit
    05.11.2009.
    Ort
    Liebschützberg (Sachsen)
    Beiträge
    444

    Standard Downloadarchive in neuem Reposity für Contao 4

    Die Erweiterung wird jetzt hier weiter entwickelt! https://packagist.org/packages/swind...ownloadarchive

    Softwarebedingungen:

    1. php >= 5.6, 7.1
    2. Contao 4 >= 4.4

    Für Contao 3.5 sollte https://github.com/felixpfeiffer/contao-downloadarchive noch funktionieren. Nur php 5
    Geändert von swinde (21.01.2018 um 12:47 Uhr)

  32. #32
    Contao-Fan Avatar von dtptiger
    Registriert seit
    20.06.2009.
    Ort
    Fürth
    Beiträge
    680

    Standard

    Hallo,

    danke für deine Initiative!
    Aber kann ich die Extension nicht über den Contao-Manager installieren?

    Code:
    Exception occured: Could not find a matching version of package swinde/contao-download-archive. 
    ...
    Process terminated with exit code 1

  33. #33
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.054
    Partner-ID
    7421

    Standard

    Zitat Zitat von dtptiger Beitrag anzeigen
    Code:
    Exception occured: Could not find a matching version of package swinde/contao-download-archive. 
    ...
    Process terminated with exit code 1
    lt. packagist

    Code:
    composer require swinde/contao4-downloadarchive
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  34. #34
    Contao-Fan Avatar von dtptiger
    Registriert seit
    20.06.2009.
    Ort
    Fürth
    Beiträge
    680

    Standard

    Du meinst also nur per composer und eben Konsole?

  35. #35
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.024
    User beschenken
    Wunschliste

    Standard

    Das liegt daran, das er im Branch "master" keine Version getaggt hat.
    Ihr müsst die Version "dev-master" anfordern, dann sollte eine Version gefunden werden.
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  36. #36
    Contao-Fan Avatar von dtptiger
    Registriert seit
    20.06.2009.
    Ort
    Fürth
    Beiträge
    680

    Standard

    "dev-master" gibts im Manager nicht.
    Ok, ist ja nicht eilig, morgen kümmere ich mich um einen ssh zugang.

    Danke für die Tips!

  37. #37
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.024
    User beschenken
    Wunschliste

    Standard

    äh doch, du suchst danach im Manager und wählst das nicht gleich aus sondern klickst daneben auf das Zahnrad und gibst dort "dev-master" ein und bestätigst mit Enter.
    Dann unten auf "Änderungen anwenden".
    Dann gings bei mir los, nur habe ich grad nicht PHP 7.1 am Start, daher wurde die Installation abgebrochen.
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  38. #38
    Contao-Fan Avatar von dtptiger
    Registriert seit
    20.06.2009.
    Ort
    Fürth
    Beiträge
    680

    Standard

    YEAH!
    DU BIST DR HELD DES ABENDS

  39. #39
    Contao-Fan
    Registriert seit
    05.11.2009.
    Ort
    Liebschützberg (Sachsen)
    Beiträge
    444

    Standard

    Moin!

    Das liegt daran, das er im Branch "master" keine Version getaggt hat.
    Ihr müsst die Version "dev-master" anfordern, dann sollte eine Version gefunden werden.
    Sorry wenn's etwas holpert, ich bin noch ein Frischling was Github und auch Composer anbelangt.

    Zu der Versionierung muss ich mich erst mal einlesen! Ich weiß das es diese Möglichkeit gibt, aber zur Zeit muss es erst mal mit dev-master gehen.
    Ich werde in der Readme.md noch einen Hinweis, zur Installation, geben.

    @ BugBuster

    Ich habe in der composer.json unter "require": { php: ^5.6|^7.1} eingetragen. Sollte das da nicht auch mit php5.6 funktionieren?

    Vg Steffen Winde
    Geändert von swinde (24.01.2018 um 09:26 Uhr)

  40. #40
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.024
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von swinde Beitrag anzeigen
    Ich habe in der composer.json unter "require": { php: ^5.6|^7.1} eingetragen. Sollte das da nicht auch mit php5.6 funktionieren?
    Ja, aber ich habe hier grad die 7.0 :-) Lass es so, die 7.0 hat ja schon Support Ende (nur noch Security Fixe)
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

Seite 1 von 2 12 LetzteLetzte

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •